Class | REXML::DTD::ElementDecl
In: | rexml/dtd/elementdecl.rb
Parent: | Child

### Methods

new

### Constants

START | = | "<!ELEMENT"
START_RE | = | /^\s*#{START}/um
PATTERN_RE | = | /^\s*(#{START}.*?)>/um
PATTERN_RE | = | /^\s*#{START}\s+((?:[:\w_][-\.\w_]*:)?[-!\*\.\w_]*)(.*?)>/

### Public Class methods

new(match)

\">s*((((["']).*?\5)|*)*?)(\/)?>/um, true)

[Source]

    # File rexml/dtd/elementdecl.rb, line 11
                            def initialize match
                                    @name = match[1]
                                    @rest = match[2]
                            end

[Validate]